$(document).ready(function () {
    repeat_instance = 0;

    jsPsych.init({
        timeline: two_stage_decision_experiment,
        display_element: "getDisplayElement",
        fullscreen: true,
        on_trial_finish: function (data) {
            addID('two-stage-decision');
            // mydata = jsPsych.data.dataAsCSV();
            mydata = jsPsych.data.getLastTrialData();
            saveData(subject_id+"."+mydata.trial_index, mydata, 0);
        },
        on_finish: function () {
            window.location = "https://app.prolific.co/submissions/complete?cc=C860ANZS";
        },
    });

    // capture info from Prolific
    subject_id = jsPsych.data.getURLVariable('prolific_pid');
    study_id = jsPsych.data.getURLVariable('study_id');
    session_id = jsPsych.data.getURLVariable('session_id');

    jsPsych.data.addProperties({
        subject_id: subject_id,
        study_id: study_id,
        session_id: session_id,
    });

    function saveData(name, data, attempt) {
        // Convert data to JSON string before sending
        var json_data = JSON.stringify(data, null, 2);

        $.post("write_data.php", {
            data: json_data,  // Use the JSON string here
            name: name,
        }, function (response) {
            if(response !== "succcess" & attempt < 10){
                saveData(name, data, attempt + 1);
            }
            // console.log(response);
        });
    }
});
